import matplotlib.pyplot as plt
numargs = halflogistic.numargs
[  ] = [0.9,] * numargs
rv = halflogistic()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = halflogistic.cdf(x, )
h = plt.semilogy(np.abs(x - halflogistic.ppf(prb, )) + 1e-20)

# Random number generation

R = halflogistic.rvs(size=100)
